# Uses of Class
org.astrogrid.samp.Message

Packages that use Message
Package
Description
org.astrogrid.samp
Classes common to SAMP hub and client code.
org.astrogrid.samp.client
Classes required only for SAMP clients.
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.test
Classes for testing.
org.astrogrid.samp.util

## Uses of Message in org.astrogrid.samp

Methods in org.astrogrid.samp that return Message
Modifier and Type
Method
Description
`Message`
Message.`addParam(String name, Object value)`
Sets the value for a single entry in this message's `samp.params` map.
`static Message`
Message.`asMessage(Map map)`
Returns a given map as a Message object.

## Uses of Message in org.astrogrid.samp.client

Methods in org.astrogrid.samp.client with parameters of type Message
Modifier and Type
Method
Description
`abstract Map`
AbstractMessageHandler.`processCall(HubConnection connection, String senderId, Message message)`
Implements message processing.
`void`
AbstractMessageHandler.`receiveCall(HubConnection connection, String senderId, String msgId, Message message)`
Calls `AbstractMessageHandler.processCall(org.astrogrid.samp.client.HubConnection, java.lang.String, org.astrogrid.samp.Message)`, generates a response from the result using `AbstractMessageHandler.createResponse(java.util.Map)`, and sends the resulting response as a reply to the hub.
`void`
CallableClient.`receiveCall(String senderId, String msgId, Message message)`
Receives a message for which a response is required.
`void`
MessageHandler.`receiveCall(HubConnection connection, String senderId, String msgId, Message message)`
Processes a message which does require a response.
`void`
AbstractMessageHandler.`receiveNotification(HubConnection connection, String senderId, Message message)`
Calls `AbstractMessageHandler.processCall(org.astrogrid.samp.client.HubConnection, java.lang.String, org.astrogrid.samp.Message)` and discards the result.
`void`
CallableClient.`receiveNotification(String senderId, Message message)`
Receives a message for which no response is required.
`void`
MessageHandler.`receiveNotification(HubConnection connection, String senderId, Message message)`
Processes a message which does not require a response.
Constructors in org.astrogrid.samp.client with parameters of type Message
Modifier
Constructor
Description
``
`LogResultHandler(Message msg)`
Constructor.

## Uses of Message in org.astrogrid.samp.gui

Methods in org.astrogrid.samp.gui that return Message
Modifier and Type
Method
Description
`Message`
Transmission.`getMessage()`
Returns the message which was sent.
Methods in org.astrogrid.samp.gui with parameters of type Message
Modifier and Type
Method
Description
`protected ResultHandler`
AbstractCallActionManager.`createResultHandler(HubConnection connection, Message msg, Client[] recipients)`
Returns an object which will be informed of the results of a single- or multiple-recipient send as they arrive.
`protected void`
NotifyActionManager.`messageSent(HubConnection connection, Message msg, Client[] recipients)`
Called when a message has been sent by this object.
Constructors in org.astrogrid.samp.gui with parameters of type Message
Modifier
Constructor
Description
``
`PopupResultHandler(Component parent, String title, Message msg, Client[] recipients, int closeDelay)`
Constructor.
``
`Transmission(Client sender, Client receiver, Message msg, String msgTag, String msgId)`
Constructor.

## Uses of Message in org.astrogrid.samp.test

Methods in org.astrogrid.samp.test with parameters of type Message
Modifier and Type
Method
Description
`void`
Calculator.`receiveCall(String senderId, String msgId, Message msg)`
`void`
Calculator.`receiveNotification(String senderId, Message msg)`

## Uses of Message in org.astrogrid.samp.util

Methods in org.astrogrid.samp.util that return Message
Modifier and Type
Method
Description
`Message`
ResourceType.`createMessage(URL url)`
Returns a Message object that will forward a given URL to SAMP clients.